Bug 468463 - ssh passphrase prompting broken
ssh passphrase prompting broken
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-24 16:29 EDT by Matthias Clasen
Modified: 2015-03-03 17:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-25 16:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-10-24 16:29:16 EDT
gnome-keyring-daemon is running, and I see that it does have the environment set up (ie DISPLAY etc have been transferred over from the session helper). But when I try ssh to some machine, I don't get the dialog from g-k-d, but the commandline prompt from ssh. Trying to poke at it with a nonworking gdb, it seems that g-k-d gets stuck in yield_and_read_all.

Mysteriously, I can get a dialog at least once when running gnome-keyring-daemon manually inside the session.
Comment 1 Matthias Clasen 2008-10-25 16:34:55 EDT
I think I was just confused here.

Lets close this for now. If the confusion reoccurs, I'll file another bug.

Note You need to log in before you can comment on or make changes to this bug.